searchNodes=[{"ref":"HN.html","title":"HN","type":"module","doc":"A simple Hacker News API client in Elixir. All API calls have a corresponding unsafe version. See https://github.com/HackerNews/API for a thorough description of the API and the fields returned from the various calls."},{"ref":"HN.html#ask_stories/0","title":"HN.ask_stories/0","type":"function","doc":"Fetch a list of ask story ids. Example iex&gt; HN.ask_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#ask_stories!/0","title":"HN.ask_stories!/0","type":"function","doc":"Returns the latest ask stories or raises an error."},{"ref":"HN.html#best_stories/0","title":"HN.best_stories/0","type":"function","doc":"Fetch a list of best story ids. Example iex&gt; HN.best_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#best_stories!/0","title":"HN.best_stories!/0","type":"function","doc":"Returns the latest best stories or raises an error."},{"ref":"HN.html#item/1","title":"HN.item/1","type":"function","doc":"Fetch an item by id. Returns {:ok, %HN.Item{}}. Example iex&gt; HN.item(8863) # argument can be an integer or a string {:ok, %HN.Item{ by: &quot;dhouston&quot;, dead: nil, deleted: nil, descendants: 71, id: 8863, kids: [9224, 8917, 8952, 8884, 8887, 8869, 8958, 8940, 8908, 9005, 8873, 9671, 9067, 9055, 8865, 8881, 8872, 8955, 10403, 8903, 8928, 9125, 8998, 8901, 8902, 8907, 8894, 8870, 8878, 8980, 8934, 8943, 8876], parent: nil, parts: nil, poll: nil, score: 104, text: nil, time: 1175714200, title: &quot;My YC app: Dropbox - Throw away your USB drive&quot;, type: &quot;story&quot;, url: &quot;http://www.getdropbox.com/u/2/screencast.html&quot; }}"},{"ref":"HN.html#item!/1","title":"HN.item!/1","type":"function","doc":"Returns the item or raises an error."},{"ref":"HN.html#job_stories/0","title":"HN.job_stories/0","type":"function","doc":"Fetch a list of job story ids. Example iex&gt; HN.job_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#job_stories!/0","title":"HN.job_stories!/0","type":"function","doc":"Returns the latest job stories or raises an error."},{"ref":"HN.html#max_item/0","title":"HN.max_item/0","type":"function","doc":"Fetch the most recent item id. Example iex&gt; HN.max_item {:ok, &quot;22059135&quot;}"},{"ref":"HN.html#max_item!/0","title":"HN.max_item!/0","type":"function","doc":"Returns the most recent item id or raises an error."},{"ref":"HN.html#new_stories/0","title":"HN.new_stories/0","type":"function","doc":"Fetch a list of new story ids. Example iex&gt; HN.new_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#new_stories!/0","title":"HN.new_stories!/0","type":"function","doc":"Returns the latest new stories or raises an error."},{"ref":"HN.html#show_stories/0","title":"HN.show_stories/0","type":"function","doc":"Fetch a list of show story ids. Example iex&gt; HN.show_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#show_stories!/0","title":"HN.show_stories!/0","type":"function","doc":"Returns the latest show stories or raises an error."},{"ref":"HN.html#stories/1","title":"HN.stories/1","type":"function","doc":"Fetch a list of story ids, passing in the type. Possible types are: :new, :top, :best, :ask, :show or :job Example iex&gt; HN.stories(:new) {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#stories!/1","title":"HN.stories!/1","type":"function","doc":"Returns the latest stories for the given type, or raises an error."},{"ref":"HN.html#top_stories/0","title":"HN.top_stories/0","type":"function","doc":"Fetch a list of top story ids. Example iex&gt; HN.top_stories {:ok, [22057737,22055976,22057989,22057576,22054163,22055867,22057173,22054600,22041741]}"},{"ref":"HN.html#top_stories!/0","title":"HN.top_stories!/0","type":"function","doc":"Returns the latest top stories or raises an error."},{"ref":"HN.html#updates/0","title":"HN.updates/0","type":"function","doc":"Fetch recent item and profile changes. Example iex&gt; HN.updates {:ok, %HN.Updates{ items: [22058286, 22054517, 22055774, 22059007, 22058838, 22056363, 22056764], profiles: [&quot;nathan_compton&quot;, &quot;chasd00&quot;, &quot;yarapavan&quot;, &quot;cagenut&quot;] }}"},{"ref":"HN.html#updates!/0","title":"HN.updates!/0","type":"function","doc":"Returns the latest updates or raises an error."},{"ref":"HN.html#user/1","title":"HN.user/1","type":"function","doc":"Fetch a user by name. Returns an HN.User. Example iex&gt; HN.user(&quot;jl&quot;) {:ok, %HN.User{ about: &quot;This is a test&quot;, created: 1173923446, delay: nil, id: &quot;jl&quot;, karma: 4226, submitted: [19464269, 18498213, 16659709, 16659632, 16659556, 14237416, 5252, 4752, 4586, 4289] }}"},{"ref":"HN.html#user!/1","title":"HN.user!/1","type":"function","doc":"Returns the user or raises an error."},{"ref":"HN.html#t:option/0","title":"HN.option/0","type":"type","doc":""}]